Last Comment Bug 385251 - Memoryleak when deleting a bookmark or folder
: Memoryleak when deleting a bookmark or folder
Status: VERIFIED FIXED
: mlk, regression
Product: Firefox
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: Trunk
: x86 Windows 2000
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 376004
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-20 16:22 PDT by Steve England [:stevee]
Modified: 2010-02-24 06:28 PST (History)
9 users (show)
mconnor: blocking‑firefox3+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Steve England [:stevee] 2007-06-20 16:22:17 PDT
Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9a6pre) Gecko/20070620 Minefield/3.0a6pre ID:2007062013

1. New profile, start Firefox with leak logging
2. Close Firefox, then restart it with leak logging enabled (so bug 385045 doesn't pollute the report)
3. Go to the bookmarks menu, right click on a bookmark or folder, choose delete
4. Close Firefox
5. Analyze log

Leaked outer window 1c9b0f0 at address 1c9b0f0.
Leaked inner window 1c83960 (outer 1c9b0f0) at address 1c83960.
 ... with URI "about:blank".
Summary:
Leaked 2 out of 7 DOM Windows
Leaked 0 out of 38 documents
Leaked 0 out of 3 docshells

This is different from bug 337190 i think.
Comment 1 Steve England [:stevee] 2007-06-21 09:26:30 PDT
I think the same leaks occurs if you add a new bookmark too (I reproduced by dragging and dropping a hyperlink to the bookmarks toolbar, and d&d'ng the favicon from the URL bar to the bookmarks toolbar)
Comment 2 Steve England [:stevee] 2007-07-16 13:32:04 PDT
Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9a7pre) Gecko/2007071605 Minefield/3.0a7pre ID:2007071605
I can't see any more leaking when adding bookmarks, or deleting them whilst using the Bookmarks Manager. --> FIXED by bug 376004
Comment 3 Tracy Walker [:tracy] 2007-07-17 09:11:26 PDT
Steve, you originally reported this leak when deleting from the Bookmarks Menu.  I can still reproduce leaks there. I can confirm that from the bookmarks organizer deleting bookmarks is not producing leaks.
Comment 4 Steve England [:stevee] 2007-07-17 09:16:16 PDT
Tracy what kind of leakage are you seeing? Originally when I filed this I was seeing a couple of things leaked (which were also leaked when using the BM iirc). There has been new leakage introduced recently which I filed as bug 388297; is this what you're seeing?
Comment 5 Tracy Walker [:tracy] 2007-07-17 09:17:52 PDT
Yep, that's what I'm seeing, sorry about that.
Comment 6 Steve England [:stevee] 2007-07-17 09:18:39 PDT
No probs. I should have explained things better :)
Comment 7 Tracy Walker [:tracy] 2007-07-17 09:20:21 PDT
verified with Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a7pre) Gecko/2007071705 Minefield/3.0a7pre.  now seeing 388297

Thanks stevee
Comment 8 David Baron :dbaron: ⌚️UTC+8 (review requests must explain patch) 2007-07-17 09:43:40 PDT
How do you know this bug is fixed, rather than that there aren't two bugs causing the same objects to leak?
Comment 9 Steve England [:stevee] 2007-07-17 10:11:21 PDT
I suppose we don't. Pre bug 376004 using the Bookmarks Manager to delete a bookmark resulted in 5 DOM Windows Leaked; post bug 376004 nothing is reported to leak.

But of course this bug was filed against deleting a bookmark from the bookmarks toolbar or bookmarks menu, but now, because of bug 388297, there's currently no way to directly test if this leak has indeed been fixed.

So should this bug be reopened and marked to depend on bug 388297 so when that is fixed this can be retested?
Comment 10 Gervase Markham [:gerv] 2009-11-26 06:37:57 PST
Bug 451915 - move Firefox/Places bugs to Firefox/Bookmarks and History. Remove all bugspam from this move by filtering for the string "places-to-b-and-h".

In Thunderbird 3.0b, you do that as follows:
Tools | Message Filters
Make sure the correct account is selected. Click "New"
Conditions: Body   contains   places-to-b-and-h
Change the action to "Delete Message".
Select "Manually Run" from the dropdown at the top.
Click OK.

Select the filter in the list, make sure "Inbox" is selected at the bottom, and click "Run Now". This should delete all the bugspam. You can then delete the filter.

Gerv

Note You need to log in before you can comment on or make changes to this bug.